#!/usr/bin/env python

#	t00mblr - a GTK tumblr client
#	By: Jaap Broekhuizen <jaapz.b@gmail.com>
#	Website: blog.jaapz.nl
#	
#	License:
#	This file is part of t00mblr.
#
#   t00mblr is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   t00mblr is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with t00mblr.  If not, see <http://www.gnu.org/licenses/>.

'''These are the debug functions'''

class debugging():
	mode = False
	colors = {
		"normal"    : "\x1b[0m",
		"bold"      : "\x1b[01m",
		"blue"      : "\x1b[34;01m",
		"green"     : "\x1b[32;01m",
		"yellow"    : "\x1b[33;01m",
		"red"       : "\x1b[31;01m"
	}
	
	def __init__(self, mode):
		"""
			Initiate debugging
		"""
		self.mode = mode
		
	def set_mode(self, set):
		"""
			Set debug mode
		"""
		self.mode = set
		
	def color(self, color, text):
		"""
			Create nicely colored string
		"""
		return self.colors[color] + text + self.colors['normal']
	
	def debug(self, text):
		"""
			Show debugging
		"""
		if self.mode:
			print self.color('bold', '[DEBUG] ') + text
		
	def warning(self, text):
		"""
			Show warnings
		"""
		print self.color('yellow', '[WARNING] ') + text
		
	def info(self, text):
		"""
			Show information
		"""
		print self.color('green', '[INFO] ') + text
		
	def error(self, text):
		"""
			Show error
		"""
		print self.color('red', '[ERROR] ') + text
