#!/usr/bin/env python

#	t00mblr - a GTK tumblr client
#	By: Jaap Broekhuizen <jaapz.b@gmail.com>
#	Website: blog.jaapz.nl
#	
#	License:
#	This file is part of t00mblr.
#
#   t00mblr is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   t00mblr is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with t00mblr.  If not, see <http://www.gnu.org/licenses/>.

'''This renders the tumblr api xml output'''

import urllib
from lxml import etree

from common import d

class renderer():
	blog = None
	parsed_xml = None
	
	def __init__(self, blog):
		"""
			Renderer main init
		"""
		self.blog = blog
		self.get_blog()
		
	def get_blog(self):
		"""
			Retrieves the blog xml from the tumblr api
		"""
		try:
			stream = urllib.urlopen("http://"+self.blog+".tumblr.com/api/read")
			xml = stream.read()
			self.tumblr = etree.fromstring(xml)
		except Exception, e:
			print e
			return False

	def parse_page(self):
		"""
			Parses the xml
		"""
		posts = self.tumblr[1]
		text = ""
		for post in posts:
			text += post[0].text
			#print post[0].text
		print text
		return text
