#!/usr/bin/env python

#	t00mblr - a GTK tumblr client
#	By: Jaap Broekhuizen <jaapz.b@gmail.com>
#	Website: blog.jaapz.nl
#	
#	License:
#	This file is part of t00mblr.
#
#   t00mblr is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   t00mblr is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with t00mblr.  If not, see <http://www.gnu.org/licenses/>.

'''This is the webkit html viewer'''

import gtk
import webkit

from common import d
from renderer import *

class view00r(webkit.WebView):
	settings = None
	
	def __init__(self, instance, blog):
		"""
			View00r main init
		"""
		webkit.WebView.__init__(self)

		self.settings = webkit.WebSettings()
		self.set_settings(self.settings)
		
		self.get_stream(blog)
		
		self.connect_after("button-press-event", self.popup_menu)

	def popup_menu(self, view, menu):
		"""
			Show popup menu
		"""
		menu = gtk.Menu()
		
		menu.append(gtk.SeparatorMenuItem())
		
		page_properties = gtk.ImageMenuItem(gtk.STOCK_PROPERTIES)
		menu.append(page_properties)

		menu.append(gtk.SeparatorMenuItem())

		aboutitem = gtk.ImageMenuItem(gtk.STOCK_ABOUT)
		menu.append(aboutitem)

		menu.show_all()
		
	def get_stream(self, blog):
		"""
			Gets the tumblr posts stream
		"""
		d.debug("Getting stream")
		
		#try:
		#stream = urllib.urlopen("http://"+blog+".tumblr.com/api/read")
		self.load_html_string(self.get_page(blog), "http://")
		#except:
		#	d.error("Blog not found!")
			
	def get_page(self, blog):
		"""
			Calls the renderer
		"""
		r = renderer(blog)
		return r.parse_page()
